#version 120

uniform sampler2D sampler;
uniform vec2 texel;
uniform int width;
uniform bool filled;
uniform float opacity;

void main() {
    float closest = width * width * 2;
    vec4 color = vec4(0, 0, 0, 0);

    vec4 current = texture2D(sampler, gl_TexCoord[0].st);
    if (current.a == 0.0F) {
        for (int x = -width; x <= width; x++) {
      	    for (int y = -width; y <= width; y++) {
       		    vec4 currCol = texture2D(sampler, gl_TexCoord[0].st + vec2(x * texel.x, y * texel.y));
      		    if (currCol.a != 0.0F) {
       			    float dist = (x * x + y * y);
       			    if (closest >= dist) {
       				    color = currCol;
      			    }
       		    }
      	    }
       	}
    } else if (filled) {
        color = vec4(current.r, current.g, current.b, opacity);;
    }

    gl_FragColor = color;
}
